{
  "name": "dwd_recsys_alg_exposure_base_20250108",
  "project": "loghubods",
  "comment": "推荐算法-labelmatch表-20250108更新最新版",
  "columns": [
    {
      "name": "apptype",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "uid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "mid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "vid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "sessionid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "subsessionid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "pagesource",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "page",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "recommendlogvo",
      "type": "STRING",
      "comment": "推荐算法的返回结果日志存在这个字段中"
    },
    {
      "name": "abcode",
      "type": "STRING",
      "comment": "推荐算法的ab分组:ab0"
    },
    {
      "name": "recommendpagetype",
      "type": "STRING",
      "comment": "用于区分pagesource相同时某些场景的。三种回流头部；两种下滑-沉浸页下滑和feed下滑。"
    },
    {
      "name": "recomtraceid",
      "type": "STRING",
      "comment": "在后端调取推荐服务之前生成。前端降级会空；后端也可能为空。"
    },
    {
      "name": "headvideoid",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "rootsourceid",
      "type": "STRING",
      "comment": "区分touliu等流量，咨询产品。"
    },
    {
      "name": "hotsencetype",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "flowpool",
      "type": "STRING",
      "comment": "非流量池，是空字符串。没有null值。"
    },
    {
      "name": "level",
      "type": "STRING",
      "comment": "非流量池，是null。"
    },
    {
      "name": "clientip",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "machineinfo_brand",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "machineinfo_model",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "machineinfo_system",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "machineinfo_wechatversion",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "machineinfo_sdkversion",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "province",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "city",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "ts",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "is_share",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "share_cnt",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "is_return_1",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_1_pv",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_1_uv",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_1_mids",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "is_return_n",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_n_pv",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_n_uv",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_n_mids",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "is_return_noself",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_1_uv_noself",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_1_mids_noself",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "is_return_n_noself",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_n_uv_noself",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "return_n_mids_noself",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "new_exposure_cnt",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "extend",
      "type": "STRING",
      "comment": ""
    },
    {
      "name": "dt",
      "type": "STRING",
      "comment": "日期:20240105"
    },
    {
      "name": "hh",
      "type": "STRING",
      "comment": "小时:04"
    }
  ],
  "partition_keys": [
    {
      "name": "dt",
      "type": "STRING",
      "comment": "日期:20240105"
    },
    {
      "name": "hh",
      "type": "STRING",
      "comment": "小时:04"
    }
  ],
  "dataworks_tasks": [
    {
      "id": 1023041413,
      "name": "20250108_label_明细表"
    }
  ],
  "upstream_tables": [
    "loghubods.changwen_rootsourceid_group_hour",
    "loghubods.dwd_recsys_alg_exposure_base_view_20250402",
    "loghubods.user_share_log_flow"
  ]
}